package com.dji.sdk.mqtt.ai;

import com.dji.sdk.mqtt.services.ServicesErrorCode;

/**
 * @author sean.zhou
 * @version 0.1
 * @date 2021/11/22
 */
public class AiInfoReceiver<T> {

    private ServicesErrorCode result;

    private T info;

    public AiInfoReceiver() {
    }

    @Override
    public String toString() {
        return "ServicesAiReceiver{" +
                "result=" + result +
                ", info=" + info +
                '}';
    }

    public ServicesErrorCode getResult() {
        return result;
    }

    public AiInfoReceiver<T> setResult(ServicesErrorCode result) {
        this.result = result;
        return this;
    }

    public T getInfo() {
        return info;
    }

    public AiInfoReceiver<T> setInfo(T info) {
        this.info = info;
        return this;
    }
}